You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@turbine.apache.org by gk...@apache.org on 2018/03/07 13:30:04 UTC

svn commit: r25553 - in /release/turbine: README.html checksum.sh

Author: gk
Date: Wed Mar  7 13:30:04 2018
New Revision: 25553

Log:
- add checksum helper shell script
- update README

Added:
    release/turbine/checksum.sh   (with props)
Modified:
    release/turbine/README.html

Modified: release/turbine/README.html
==============================================================================
--- release/turbine/README.html (original)
+++ release/turbine/README.html Wed Mar  7 13:30:04 2018
@@ -38,3 +38,6 @@ $ gpg --verify turbine-2.3.3.tar.gz.asc
 </pre>
 <p>
 
+<a name="sig"><h2>Checksums</h2></a>
+
+<p>Newer releases follow <a href="https://www.apache.org/dev/release-distribution#sigs-and-sums">this new policy</a>. As a result there will be at least one accompanying <samp><em>file</em>.sha1</samp>, <samp><em>file</em>.sha256</samp> or <samp><em>file</em>.sha512</samp> checksum file in the same directory as the file (binaries/ or source/).</p>
\ No newline at end of file

Added: release/turbine/checksum.sh
==============================================================================
--- release/turbine/checksum.sh (added)
+++ release/turbine/checksum.sh Wed Mar  7 13:30:04 2018
@@ -0,0 +1,29 @@
+#!/usr/bin/bash
+
+# loop through zip, tar.gz files and add sha1 checksum
+CurrentDir=$PWD
+echo $CurrentDir
+
+overwrite=false
+releaseFolder=./turbine-4.0
+command=sha1sum
+
+for file in $(find $releaseFolder/* -name '*.zip' -or -name '*.tar.gz'); do
+  #echo "$file"
+  filePath=${file%/*}
+  #echo "$filePath"
+  test -e $file || continue
+  test -d $filePath || continue
+  cd $filePath
+  fileName=${file##*/}
+  if [ -f $fileName.sha1 ] && [ "$overwrite" == false ]; then
+    echo "File $fileName exists. no overwrite"
+  else
+    echo "$command $fileName > $fileName.sha1"
+    $command $fileName > "$fileName.sha1"
+  fi
+  cd $CurrentDir
+done
+
+cd $CurrentDir
+

Propchange: release/turbine/checksum.sh
------------------------------------------------------------------------------
    svn:eol-style = native